# opa-rego-component
A package CodeMirror component with Rego created using `create-react-app`.
## Installation
Run the following command:
`npm install codemirror-rego-json`

### Configuration: <br>
`lang: json | rego | diff | merge` <br>
`class: string` <br>
`value: string` <br>
`getData: func` <br>
`readOnly: boolean` <br>
`lint: boolean` for json lang. Adding linter <br>
`modeMerge: string` for merge lang <br>
`origRight: string` for merge lang <br>

Example: 
```
import Opa from 'codemirror-rego-json'


const fetchOpaData = (data) => {
   console.log(data) 
} 
return (
    <Opa
        lang={'rego'}
        getData={fetchOpaData}
        class={'hello'}
    />
)
```
